<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StripePaymentController;
use App\Http\Controllers\GooglePayController;

Route::get('/', function () {
    return view('welcome');
});
//stripe basic pay
Route::get('/checkout', [StripePaymentController::class, 'checkout'])->name('checkout');
Route::post('/payment', [StripePaymentController::class, 'processPayment'])->name('payment.process');
Route::get('/payment/success', [StripePaymentController::class, 'success'])->name('payment.success');

//stripe google-pay
Route::get('/googlepay-checkout', [GooglePayController::class, 'checkout'])->name('googlepay.checkout');
Route::post('/googlepay-payment-intent', [GooglePayController::class, 'createPaymentIntent'])->name('googlepay.payment.intent');
Route::post('/googlepay-success', [GooglePayController::class, 'paymentSuccess'])->name('googlepay.success');
