<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Stripe Checkout</title>
    <script src="https://js.stripe.com/v3/"></script>
</head>
<body>
    <?php if(session('success')): ?>
        <p style="color: green;"><?php echo e(session('success')); ?></p>
    <?php endif; ?>
    <?php if(session('error')): ?>
        <p style="color: red;"><?php echo e(session('error')); ?></p>
    <?php endif; ?>

    <form action="<?php echo e(route('payment.process')); ?>" method="POST" id="payment-form">
        <?php echo csrf_field(); ?>
        <label>Name:</label>
        <input type="text" name="name" required>

        <label>Email:</label>
        <input type="email" name="email" required>

        <label>Amount (USD):</label>
        <input type="number" name="amount" required>

        <label>Card details:</label>
        <div id="card-element"></div>

        <button type="submit">Pay Now</button>

        <input type="hidden" name="stripeToken" id="stripeToken">
    </form>

    <script>
        var stripe = Stripe("<?php echo e(config('services.stripe.key')); ?>");
        var elements = stripe.elements();
        var card = elements.create("card");
        card.mount("#card-element");

        var form = document.getElementById("payment-form");
        form.addEventListener("submit", function(event) {
            event.preventDefault();
            stripe.createToken(card).then(function(result) {
                if (result.error) {
                    alert(result.error.message);
                } else {
                    document.getElementById("stripeToken").value = result.token.id;
                    form.submit();
                }
            });
        });
    </script>
</body>
</html>
<?php /**PATH C:\xampp8.2.1\htdocs\laravelnewprojstripe\resources\views/checkout.blade.php ENDPATH**/ ?>